Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
15.0.0.0
Broadcast address
15.127.255.255
First usable
15.0.0.1
Last usable
15.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F000000 · Integer 251658240 to 260046847
Reverse DNS zones
0.15.in-addr.arpa
1.15.in-addr.arpa
2.15.in-addr.arpa
3.15.in-addr.arpa
4.15.in-addr.arpa
5.15.in-addr.arpa
6.15.in-addr.arpa
7.15.in-addr.arpa
8.15.in-addr.arpa
9.15.in-addr.arpa
10.15.in-addr.arpa
11.15.in-addr.arpa
12.15.in-addr.arpa
13.15.in-addr.arpa
14.15.in-addr.arpa
15.15.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.00000000.00000000.0000000015.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00001111.00000000.00000000.0000000015.0.0.0
Broadcast00001111.01111111.11111111.1111111115.127.255.255
Split into smaller subnets/17

15.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.0.0.0/1715.0.0.1 to 15.0.127.25415.0.127.25532,766
215.0.128.0/1715.0.128.1 to 15.0.255.25415.0.255.25532,766
315.1.0.0/1715.1.0.1 to 15.1.127.25415.1.127.25532,766
415.1.128.0/1715.1.128.1 to 15.1.255.25415.1.255.25532,766
515.2.0.0/1715.2.0.1 to 15.2.127.25415.2.127.25532,766
615.2.128.0/1715.2.128.1 to 15.2.255.25415.2.255.25532,766
715.3.0.0/1715.3.0.1 to 15.3.127.25415.3.127.25532,766
815.3.128.0/1715.3.128.1 to 15.3.255.25415.3.255.25532,766
915.4.0.0/1715.4.0.1 to 15.4.127.25415.4.127.25532,766
1015.4.128.0/1715.4.128.1 to 15.4.255.25415.4.255.25532,766
1115.5.0.0/1715.5.0.1 to 15.5.127.25415.5.127.25532,766
1215.5.128.0/1715.5.128.1 to 15.5.255.25415.5.255.25532,766
1315.6.0.0/1715.6.0.1 to 15.6.127.25415.6.127.25532,766
1415.6.128.0/1715.6.128.1 to 15.6.255.25415.6.255.25532,766
1515.7.0.0/1715.7.0.1 to 15.7.127.25415.7.127.25532,766
1615.7.128.0/1715.7.128.1 to 15.7.255.25415.7.255.25532,766
1715.8.0.0/1715.8.0.1 to 15.8.127.25415.8.127.25532,766
1815.8.128.0/1715.8.128.1 to 15.8.255.25415.8.255.25532,766
1915.9.0.0/1715.9.0.1 to 15.9.127.25415.9.127.25532,766
2015.9.128.0/1715.9.128.1 to 15.9.255.25415.9.255.25532,766
2115.10.0.0/1715.10.0.1 to 15.10.127.25415.10.127.25532,766
2215.10.128.0/1715.10.128.1 to 15.10.255.25415.10.255.25532,766
2315.11.0.0/1715.11.0.1 to 15.11.127.25415.11.127.25532,766
2415.11.128.0/1715.11.128.1 to 15.11.255.25415.11.255.25532,766
2515.12.0.0/1715.12.0.1 to 15.12.127.25415.12.127.25532,766
2615.12.128.0/1715.12.128.1 to 15.12.255.25415.12.255.25532,766
2715.13.0.0/1715.13.0.1 to 15.13.127.25415.13.127.25532,766
2815.13.128.0/1715.13.128.1 to 15.13.255.25415.13.255.25532,766
2915.14.0.0/1715.14.0.1 to 15.14.127.25415.14.127.25532,766
3015.14.128.0/1715.14.128.1 to 15.14.255.25415.14.255.25532,766
3115.15.0.0/1715.15.0.1 to 15.15.127.25415.15.127.25532,766
3215.15.128.0/1715.15.128.1 to 15.15.255.25415.15.255.25532,766
3315.16.0.0/1715.16.0.1 to 15.16.127.25415.16.127.25532,766
3415.16.128.0/1715.16.128.1 to 15.16.255.25415.16.255.25532,766
3515.17.0.0/1715.17.0.1 to 15.17.127.25415.17.127.25532,766
3615.17.128.0/1715.17.128.1 to 15.17.255.25415.17.255.25532,766
3715.18.0.0/1715.18.0.1 to 15.18.127.25415.18.127.25532,766
3815.18.128.0/1715.18.128.1 to 15.18.255.25415.18.255.25532,766
3915.19.0.0/1715.19.0.1 to 15.19.127.25415.19.127.25532,766
4015.19.128.0/1715.19.128.1 to 15.19.255.25415.19.255.25532,766
4115.20.0.0/1715.20.0.1 to 15.20.127.25415.20.127.25532,766
4215.20.128.0/1715.20.128.1 to 15.20.255.25415.20.255.25532,766
4315.21.0.0/1715.21.0.1 to 15.21.127.25415.21.127.25532,766
4415.21.128.0/1715.21.128.1 to 15.21.255.25415.21.255.25532,766
4515.22.0.0/1715.22.0.1 to 15.22.127.25415.22.127.25532,766
4615.22.128.0/1715.22.128.1 to 15.22.255.25415.22.255.25532,766
4715.23.0.0/1715.23.0.1 to 15.23.127.25415.23.127.25532,766
4815.23.128.0/1715.23.128.1 to 15.23.255.25415.23.255.25532,766
4915.24.0.0/1715.24.0.1 to 15.24.127.25415.24.127.25532,766
5015.24.128.0/1715.24.128.1 to 15.24.255.25415.24.255.25532,766
5115.25.0.0/1715.25.0.1 to 15.25.127.25415.25.127.25532,766
5215.25.128.0/1715.25.128.1 to 15.25.255.25415.25.255.25532,766
5315.26.0.0/1715.26.0.1 to 15.26.127.25415.26.127.25532,766
5415.26.128.0/1715.26.128.1 to 15.26.255.25415.26.255.25532,766
5515.27.0.0/1715.27.0.1 to 15.27.127.25415.27.127.25532,766
5615.27.128.0/1715.27.128.1 to 15.27.255.25415.27.255.25532,766
5715.28.0.0/1715.28.0.1 to 15.28.127.25415.28.127.25532,766
5815.28.128.0/1715.28.128.1 to 15.28.255.25415.28.255.25532,766
5915.29.0.0/1715.29.0.1 to 15.29.127.25415.29.127.25532,766
6015.29.128.0/1715.29.128.1 to 15.29.255.25415.29.255.25532,766
6115.30.0.0/1715.30.0.1 to 15.30.127.25415.30.127.25532,766
6215.30.128.0/1715.30.128.1 to 15.30.255.25415.30.255.25532,766
6315.31.0.0/1715.31.0.1 to 15.31.127.25415.31.127.25532,766
6415.31.128.0/1715.31.128.1 to 15.31.255.25415.31.255.25532,766
6515.32.0.0/1715.32.0.1 to 15.32.127.25415.32.127.25532,766
6615.32.128.0/1715.32.128.1 to 15.32.255.25415.32.255.25532,766
6715.33.0.0/1715.33.0.1 to 15.33.127.25415.33.127.25532,766
6815.33.128.0/1715.33.128.1 to 15.33.255.25415.33.255.25532,766
6915.34.0.0/1715.34.0.1 to 15.34.127.25415.34.127.25532,766
7015.34.128.0/1715.34.128.1 to 15.34.255.25415.34.255.25532,766
7115.35.0.0/1715.35.0.1 to 15.35.127.25415.35.127.25532,766
7215.35.128.0/1715.35.128.1 to 15.35.255.25415.35.255.25532,766
7315.36.0.0/1715.36.0.1 to 15.36.127.25415.36.127.25532,766
7415.36.128.0/1715.36.128.1 to 15.36.255.25415.36.255.25532,766
7515.37.0.0/1715.37.0.1 to 15.37.127.25415.37.127.25532,766
7615.37.128.0/1715.37.128.1 to 15.37.255.25415.37.255.25532,766
7715.38.0.0/1715.38.0.1 to 15.38.127.25415.38.127.25532,766
7815.38.128.0/1715.38.128.1 to 15.38.255.25415.38.255.25532,766
7915.39.0.0/1715.39.0.1 to 15.39.127.25415.39.127.25532,766
8015.39.128.0/1715.39.128.1 to 15.39.255.25415.39.255.25532,766
8115.40.0.0/1715.40.0.1 to 15.40.127.25415.40.127.25532,766
8215.40.128.0/1715.40.128.1 to 15.40.255.25415.40.255.25532,766
8315.41.0.0/1715.41.0.1 to 15.41.127.25415.41.127.25532,766
8415.41.128.0/1715.41.128.1 to 15.41.255.25415.41.255.25532,766
8515.42.0.0/1715.42.0.1 to 15.42.127.25415.42.127.25532,766
8615.42.128.0/1715.42.128.1 to 15.42.255.25415.42.255.25532,766
8715.43.0.0/1715.43.0.1 to 15.43.127.25415.43.127.25532,766
8815.43.128.0/1715.43.128.1 to 15.43.255.25415.43.255.25532,766
8915.44.0.0/1715.44.0.1 to 15.44.127.25415.44.127.25532,766
9015.44.128.0/1715.44.128.1 to 15.44.255.25415.44.255.25532,766
9115.45.0.0/1715.45.0.1 to 15.45.127.25415.45.127.25532,766
9215.45.128.0/1715.45.128.1 to 15.45.255.25415.45.255.25532,766
9315.46.0.0/1715.46.0.1 to 15.46.127.25415.46.127.25532,766
9415.46.128.0/1715.46.128.1 to 15.46.255.25415.46.255.25532,766
9515.47.0.0/1715.47.0.1 to 15.47.127.25415.47.127.25532,766
9615.47.128.0/1715.47.128.1 to 15.47.255.25415.47.255.25532,766
9715.48.0.0/1715.48.0.1 to 15.48.127.25415.48.127.25532,766
9815.48.128.0/1715.48.128.1 to 15.48.255.25415.48.255.25532,766
9915.49.0.0/1715.49.0.1 to 15.49.127.25415.49.127.25532,766
10015.49.128.0/1715.49.128.1 to 15.49.255.25415.49.255.25532,766
10115.50.0.0/1715.50.0.1 to 15.50.127.25415.50.127.25532,766
10215.50.128.0/1715.50.128.1 to 15.50.255.25415.50.255.25532,766
10315.51.0.0/1715.51.0.1 to 15.51.127.25415.51.127.25532,766
10415.51.128.0/1715.51.128.1 to 15.51.255.25415.51.255.25532,766
10515.52.0.0/1715.52.0.1 to 15.52.127.25415.52.127.25532,766
10615.52.128.0/1715.52.128.1 to 15.52.255.25415.52.255.25532,766
10715.53.0.0/1715.53.0.1 to 15.53.127.25415.53.127.25532,766
10815.53.128.0/1715.53.128.1 to 15.53.255.25415.53.255.25532,766
10915.54.0.0/1715.54.0.1 to 15.54.127.25415.54.127.25532,766
11015.54.128.0/1715.54.128.1 to 15.54.255.25415.54.255.25532,766
11115.55.0.0/1715.55.0.1 to 15.55.127.25415.55.127.25532,766
11215.55.128.0/1715.55.128.1 to 15.55.255.25415.55.255.25532,766
11315.56.0.0/1715.56.0.1 to 15.56.127.25415.56.127.25532,766
11415.56.128.0/1715.56.128.1 to 15.56.255.25415.56.255.25532,766
11515.57.0.0/1715.57.0.1 to 15.57.127.25415.57.127.25532,766
11615.57.128.0/1715.57.128.1 to 15.57.255.25415.57.255.25532,766
11715.58.0.0/1715.58.0.1 to 15.58.127.25415.58.127.25532,766
11815.58.128.0/1715.58.128.1 to 15.58.255.25415.58.255.25532,766
11915.59.0.0/1715.59.0.1 to 15.59.127.25415.59.127.25532,766
12015.59.128.0/1715.59.128.1 to 15.59.255.25415.59.255.25532,766
12115.60.0.0/1715.60.0.1 to 15.60.127.25415.60.127.25532,766
12215.60.128.0/1715.60.128.1 to 15.60.255.25415.60.255.25532,766
12315.61.0.0/1715.61.0.1 to 15.61.127.25415.61.127.25532,766
12415.61.128.0/1715.61.128.1 to 15.61.255.25415.61.255.25532,766
12515.62.0.0/1715.62.0.1 to 15.62.127.25415.62.127.25532,766
12615.62.128.0/1715.62.128.1 to 15.62.255.25415.62.255.25532,766
12715.63.0.0/1715.63.0.1 to 15.63.127.25415.63.127.25532,766
12815.63.128.0/1715.63.128.1 to 15.63.255.25415.63.255.25532,766
12915.64.0.0/1715.64.0.1 to 15.64.127.25415.64.127.25532,766
13015.64.128.0/1715.64.128.1 to 15.64.255.25415.64.255.25532,766
13115.65.0.0/1715.65.0.1 to 15.65.127.25415.65.127.25532,766
13215.65.128.0/1715.65.128.1 to 15.65.255.25415.65.255.25532,766
13315.66.0.0/1715.66.0.1 to 15.66.127.25415.66.127.25532,766
13415.66.128.0/1715.66.128.1 to 15.66.255.25415.66.255.25532,766
13515.67.0.0/1715.67.0.1 to 15.67.127.25415.67.127.25532,766
13615.67.128.0/1715.67.128.1 to 15.67.255.25415.67.255.25532,766
13715.68.0.0/1715.68.0.1 to 15.68.127.25415.68.127.25532,766
13815.68.128.0/1715.68.128.1 to 15.68.255.25415.68.255.25532,766
13915.69.0.0/1715.69.0.1 to 15.69.127.25415.69.127.25532,766
14015.69.128.0/1715.69.128.1 to 15.69.255.25415.69.255.25532,766
14115.70.0.0/1715.70.0.1 to 15.70.127.25415.70.127.25532,766
14215.70.128.0/1715.70.128.1 to 15.70.255.25415.70.255.25532,766
14315.71.0.0/1715.71.0.1 to 15.71.127.25415.71.127.25532,766
14415.71.128.0/1715.71.128.1 to 15.71.255.25415.71.255.25532,766
14515.72.0.0/1715.72.0.1 to 15.72.127.25415.72.127.25532,766
14615.72.128.0/1715.72.128.1 to 15.72.255.25415.72.255.25532,766
14715.73.0.0/1715.73.0.1 to 15.73.127.25415.73.127.25532,766
14815.73.128.0/1715.73.128.1 to 15.73.255.25415.73.255.25532,766
14915.74.0.0/1715.74.0.1 to 15.74.127.25415.74.127.25532,766
15015.74.128.0/1715.74.128.1 to 15.74.255.25415.74.255.25532,766
15115.75.0.0/1715.75.0.1 to 15.75.127.25415.75.127.25532,766
15215.75.128.0/1715.75.128.1 to 15.75.255.25415.75.255.25532,766
15315.76.0.0/1715.76.0.1 to 15.76.127.25415.76.127.25532,766
15415.76.128.0/1715.76.128.1 to 15.76.255.25415.76.255.25532,766
15515.77.0.0/1715.77.0.1 to 15.77.127.25415.77.127.25532,766
15615.77.128.0/1715.77.128.1 to 15.77.255.25415.77.255.25532,766
15715.78.0.0/1715.78.0.1 to 15.78.127.25415.78.127.25532,766
15815.78.128.0/1715.78.128.1 to 15.78.255.25415.78.255.25532,766
15915.79.0.0/1715.79.0.1 to 15.79.127.25415.79.127.25532,766
16015.79.128.0/1715.79.128.1 to 15.79.255.25415.79.255.25532,766
16115.80.0.0/1715.80.0.1 to 15.80.127.25415.80.127.25532,766
16215.80.128.0/1715.80.128.1 to 15.80.255.25415.80.255.25532,766
16315.81.0.0/1715.81.0.1 to 15.81.127.25415.81.127.25532,766
16415.81.128.0/1715.81.128.1 to 15.81.255.25415.81.255.25532,766
16515.82.0.0/1715.82.0.1 to 15.82.127.25415.82.127.25532,766
16615.82.128.0/1715.82.128.1 to 15.82.255.25415.82.255.25532,766
16715.83.0.0/1715.83.0.1 to 15.83.127.25415.83.127.25532,766
16815.83.128.0/1715.83.128.1 to 15.83.255.25415.83.255.25532,766
16915.84.0.0/1715.84.0.1 to 15.84.127.25415.84.127.25532,766
17015.84.128.0/1715.84.128.1 to 15.84.255.25415.84.255.25532,766
17115.85.0.0/1715.85.0.1 to 15.85.127.25415.85.127.25532,766
17215.85.128.0/1715.85.128.1 to 15.85.255.25415.85.255.25532,766
17315.86.0.0/1715.86.0.1 to 15.86.127.25415.86.127.25532,766
17415.86.128.0/1715.86.128.1 to 15.86.255.25415.86.255.25532,766
17515.87.0.0/1715.87.0.1 to 15.87.127.25415.87.127.25532,766
17615.87.128.0/1715.87.128.1 to 15.87.255.25415.87.255.25532,766
17715.88.0.0/1715.88.0.1 to 15.88.127.25415.88.127.25532,766
17815.88.128.0/1715.88.128.1 to 15.88.255.25415.88.255.25532,766
17915.89.0.0/1715.89.0.1 to 15.89.127.25415.89.127.25532,766
18015.89.128.0/1715.89.128.1 to 15.89.255.25415.89.255.25532,766
18115.90.0.0/1715.90.0.1 to 15.90.127.25415.90.127.25532,766
18215.90.128.0/1715.90.128.1 to 15.90.255.25415.90.255.25532,766
18315.91.0.0/1715.91.0.1 to 15.91.127.25415.91.127.25532,766
18415.91.128.0/1715.91.128.1 to 15.91.255.25415.91.255.25532,766
18515.92.0.0/1715.92.0.1 to 15.92.127.25415.92.127.25532,766
18615.92.128.0/1715.92.128.1 to 15.92.255.25415.92.255.25532,766
18715.93.0.0/1715.93.0.1 to 15.93.127.25415.93.127.25532,766
18815.93.128.0/1715.93.128.1 to 15.93.255.25415.93.255.25532,766
18915.94.0.0/1715.94.0.1 to 15.94.127.25415.94.127.25532,766
19015.94.128.0/1715.94.128.1 to 15.94.255.25415.94.255.25532,766
19115.95.0.0/1715.95.0.1 to 15.95.127.25415.95.127.25532,766
19215.95.128.0/1715.95.128.1 to 15.95.255.25415.95.255.25532,766
19315.96.0.0/1715.96.0.1 to 15.96.127.25415.96.127.25532,766
19415.96.128.0/1715.96.128.1 to 15.96.255.25415.96.255.25532,766
19515.97.0.0/1715.97.0.1 to 15.97.127.25415.97.127.25532,766
19615.97.128.0/1715.97.128.1 to 15.97.255.25415.97.255.25532,766
19715.98.0.0/1715.98.0.1 to 15.98.127.25415.98.127.25532,766
19815.98.128.0/1715.98.128.1 to 15.98.255.25415.98.255.25532,766
19915.99.0.0/1715.99.0.1 to 15.99.127.25415.99.127.25532,766
20015.99.128.0/1715.99.128.1 to 15.99.255.25415.99.255.25532,766
20115.100.0.0/1715.100.0.1 to 15.100.127.25415.100.127.25532,766
20215.100.128.0/1715.100.128.1 to 15.100.255.25415.100.255.25532,766
20315.101.0.0/1715.101.0.1 to 15.101.127.25415.101.127.25532,766
20415.101.128.0/1715.101.128.1 to 15.101.255.25415.101.255.25532,766
20515.102.0.0/1715.102.0.1 to 15.102.127.25415.102.127.25532,766
20615.102.128.0/1715.102.128.1 to 15.102.255.25415.102.255.25532,766
20715.103.0.0/1715.103.0.1 to 15.103.127.25415.103.127.25532,766
20815.103.128.0/1715.103.128.1 to 15.103.255.25415.103.255.25532,766
20915.104.0.0/1715.104.0.1 to 15.104.127.25415.104.127.25532,766
21015.104.128.0/1715.104.128.1 to 15.104.255.25415.104.255.25532,766
21115.105.0.0/1715.105.0.1 to 15.105.127.25415.105.127.25532,766
21215.105.128.0/1715.105.128.1 to 15.105.255.25415.105.255.25532,766
21315.106.0.0/1715.106.0.1 to 15.106.127.25415.106.127.25532,766
21415.106.128.0/1715.106.128.1 to 15.106.255.25415.106.255.25532,766
21515.107.0.0/1715.107.0.1 to 15.107.127.25415.107.127.25532,766
21615.107.128.0/1715.107.128.1 to 15.107.255.25415.107.255.25532,766
21715.108.0.0/1715.108.0.1 to 15.108.127.25415.108.127.25532,766
21815.108.128.0/1715.108.128.1 to 15.108.255.25415.108.255.25532,766
21915.109.0.0/1715.109.0.1 to 15.109.127.25415.109.127.25532,766
22015.109.128.0/1715.109.128.1 to 15.109.255.25415.109.255.25532,766
22115.110.0.0/1715.110.0.1 to 15.110.127.25415.110.127.25532,766
22215.110.128.0/1715.110.128.1 to 15.110.255.25415.110.255.25532,766
22315.111.0.0/1715.111.0.1 to 15.111.127.25415.111.127.25532,766
22415.111.128.0/1715.111.128.1 to 15.111.255.25415.111.255.25532,766
22515.112.0.0/1715.112.0.1 to 15.112.127.25415.112.127.25532,766
22615.112.128.0/1715.112.128.1 to 15.112.255.25415.112.255.25532,766
22715.113.0.0/1715.113.0.1 to 15.113.127.25415.113.127.25532,766
22815.113.128.0/1715.113.128.1 to 15.113.255.25415.113.255.25532,766
22915.114.0.0/1715.114.0.1 to 15.114.127.25415.114.127.25532,766
23015.114.128.0/1715.114.128.1 to 15.114.255.25415.114.255.25532,766
23115.115.0.0/1715.115.0.1 to 15.115.127.25415.115.127.25532,766
23215.115.128.0/1715.115.128.1 to 15.115.255.25415.115.255.25532,766
23315.116.0.0/1715.116.0.1 to 15.116.127.25415.116.127.25532,766
23415.116.128.0/1715.116.128.1 to 15.116.255.25415.116.255.25532,766
23515.117.0.0/1715.117.0.1 to 15.117.127.25415.117.127.25532,766
23615.117.128.0/1715.117.128.1 to 15.117.255.25415.117.255.25532,766
23715.118.0.0/1715.118.0.1 to 15.118.127.25415.118.127.25532,766
23815.118.128.0/1715.118.128.1 to 15.118.255.25415.118.255.25532,766
23915.119.0.0/1715.119.0.1 to 15.119.127.25415.119.127.25532,766
24015.119.128.0/1715.119.128.1 to 15.119.255.25415.119.255.25532,766
24115.120.0.0/1715.120.0.1 to 15.120.127.25415.120.127.25532,766
24215.120.128.0/1715.120.128.1 to 15.120.255.25415.120.255.25532,766
24315.121.0.0/1715.121.0.1 to 15.121.127.25415.121.127.25532,766
24415.121.128.0/1715.121.128.1 to 15.121.255.25415.121.255.25532,766
24515.122.0.0/1715.122.0.1 to 15.122.127.25415.122.127.25532,766
24615.122.128.0/1715.122.128.1 to 15.122.255.25415.122.255.25532,766
24715.123.0.0/1715.123.0.1 to 15.123.127.25415.123.127.25532,766
24815.123.128.0/1715.123.128.1 to 15.123.255.25415.123.255.25532,766
24915.124.0.0/1715.124.0.1 to 15.124.127.25415.124.127.25532,766
25015.124.128.0/1715.124.128.1 to 15.124.255.25415.124.255.25532,766
25115.125.0.0/1715.125.0.1 to 15.125.127.25415.125.127.25532,766
25215.125.128.0/1715.125.128.1 to 15.125.255.25415.125.255.25532,766
25315.126.0.0/1715.126.0.1 to 15.126.127.25415.126.127.25532,766
25415.126.128.0/1715.126.128.1 to 15.126.255.25415.126.255.25532,766
25515.127.0.0/1715.127.0.1 to 15.127.127.25415.127.127.25532,766
25615.127.128.0/1715.127.128.1 to 15.127.255.25415.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses